#
# spec file for package perl-ldap (Version 0.24)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl perl-Convert-ASN1 perl-Digest-MD5 perl-IO-Socket-SSL perl-Net_SSLeay perl-URI perl-XML-Parser
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl pam pam-devel patch perl perl-Convert-ASN1 perl-Digest-MD5 perl-IO-Socket-SSL perl-Net_SSLeay perl-URI perl-XML-Parser ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-ldap
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-Digest-MD5 perl-URI perl-XML-Parser perl-Convert-ASN1
Provides:     perl_ldp
Obsoletes:    perl_ldp
Autoreqprov:  on
Summary:      Client interface to LDAP servers
Version:      0.24
Release:      58
Source:       perl-ldap-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
BuildRoot:    /var/tmp/%{name}-build

%description
A Client interface to LDAP servers

Authors:
--------
    <gbarr@pobox.com> (Graham Barr)

SuSE series: perl

%package ssl
Summary:      SSL Extension to perl-ldap
Group:        Development/Libraries/Perl
Requires:     perl-ldap perl-IO-Socket-SSL
Provides:     p_ldaps
Obsoletes:    p_ldaps

%description ssl
SSL Extension to perl-ldap

Authors:
--------
    Graham Barr <gbarr@pobox.com>

SuSE series: perl

%prep
%setup -n perl-ldap-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-ldap
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/perl-ldap
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS ChangeLog MANIFEST README RELEASE_NOTES TODO
%{perl_sitearch}/../Net/LDAP
%{perl_sitearch}/../Net/LDAP.pm
%{perl_sitearch}/../Net/LDAP.pod
%{perl_sitearch}/../Bundle/Net/LDAP.pm
%{perl_sitearch}/../Authen/SASL
%{perl_sitearch}/../Authen/SASL.pm
%{perl_sitearch}/../Authen/SASL.pod
%{perl_sitearch}/../LWP/Protocol/ldap.pm
%{perl_sitearch}/auto/perl-ldap
%doc %{_mandir}/man3/Authen::SASL.3pm*
%doc %{_mandir}/man3/Bundle::Net::LDAP.3pm*
%doc %{_mandir}/man3/Net::LDAP.3pm*
%doc %{_mandir}/man3/Net::LDAP::*
/var/adm/perl-modules/perl-ldap

%files ssl
%defattr(-,root,root)
%{perl_sitearch}/../Net/LDAPS.pm
%doc %{_mandir}/man3/Net::LDAPS.3pm*

%changelog -n perl-ldap
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 0.24
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
- fixed neededforbuild
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_ldp -> perl-ldap
  p_ldaps  -> perl-ldap-ssl
- update to version 0.22
- bzipped sources
* Fri Sep 15 2000 - choeger@suse.de
- update to version 0.21
* Tue Aug 29 2000 - cihlar@suse.cz
- splited to perl_ldp and p_ldaps
- removed p_iossl from neededforbuild
* Wed Aug 23 2000 - cihlar@suse.cz
- added p_iossl to Requires and neededforbuild
* Wed Aug 23 2000 - cihlar@suse.cz
- update to version 0.20
- added BuildRoot
- bzipped sources
* Fri Mar 24 2000 - ug@suse.de
- new version 0.14 -> 0.15
* Thu Mar 23 2000 - ug@suse.de
- added to distribution
